// app_init.cpp
#include "controller.hpp"
#include "modbus_tcp.hpp"
#include "logger.hpp"
#include "app_init.hpp"

#include <memory>
#include <string>



// void init_system()
// {
//     Logger::instance().set_file("/var/log/modbus/modbus_tcp.log");

//     auto transport = std::make_unique<ModbusTCP>();
//     controller = std::make_unique<Controller>(std::move(transport));
// }

// app_init.hpp 새로 만들고 반환 받는 구조로 새로 만듬

std::unique_ptr<Controller> init_system()
{
    Logger::instance().set_file("/var/log/modbus/modbus_tcp.log");

    auto transport = std::make_unique<ModbusTCP>();
    return std::make_unique<Controller>(std::move(transport));
}

